> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events

> Get all events that were created by a user specified in the authorization token.

#### Query Parameters

<ParamField query="page" type="integer" default="1"> Page of results to return. </ParamField>

<ParamField query="per_page" type="integer" default="10">
  Number of records to return in one request. Min: 1. Max: 100.
</ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required>
  A user or application session token. See [Authentication](/reference/authentication) page
  to learn more about session tokens. Must be used either QB-Token or Authorization.
</ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    A successful response

    <ResponseField name="current_page" type="integer" />

    <ResponseField name="per_page" type="integer" />

    <ResponseField name="total_entries" type="integer" />

    <ResponseField name="items" type="array of objects">
      <Expandable title="properties">
        <ResponseField name="event" type="object">
          <Expandable title="properties">
            <ResponseField name="id" type="integer" />

            <ResponseField name="event_type" type="string" />

            <ResponseField name="message" type="string" />

            <ResponseField name="date" type="string" />

            <ResponseField name="period" type="string" />

            <ResponseField name="name" type="string" />

            <ResponseField name="occured_count" type="integer" />

            <ResponseField name="created_at" type="string" />

            <ResponseField name="updated_at" type="string" />

            <ResponseField name="end_date" type="string" />

            <ResponseField name="active" type="boolean" />

            <ResponseField name="application_id" type="integer" />

            <ResponseField name="user_id" type="integer" />

            <ResponseField name="kind" type="string" />

            <ResponseField name="environment" type="string" />

            <ResponseField name="tag_query" type="string" />

            <ResponseField name="notification_channel" type="object">
              <Expandable title="properties">
                <ResponseField name="name" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="400">
    An error response
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET \
  -H "QB-Token: b9c808a7a9d44ca5804f38c43f62d9d0ef8c8020" \
  https://api.quickblox.com/events.json
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "current_page": 1,
    "per_page": 10,
    "total_entries": 3,
    "items": [
      {
        "event": {
          "id": 30528610,
          "event_type": "period_date",
          "message": "data.message=JTdCJTIyYXBzJTIyJTNBJTdCJTIyc291bmQlMjIlM0ElMjJkZWZhdWx0JTIyJTJDJTIyYWxlcnQlMjIlM0ElMjJZb3UraGF2ZStqdXN0K3JlY2VpdmVkK2ErbmV3K21lc3NhZ2UrZnJvbStZdWxpYStTeWRvcmVua28uJTIyJTdEJTJDJTIyeCUyMiUzQSU3QiUyMmRhdGElMjIlM0ElMjIlN0IlNUMlMjJ0eXBlJTVDJTIyJTNBJTVDJTIybWVzc2FnZSU1QyUyMiUyQyU1QyUyMmZyb21fbmFtZSU1QyUyMiUzQSU1QyUyMll1bGlhK1N5ZG9yZW5rbyU1QyUyMiUyQyU1QyUyMmZyb21faWQlNUMlMjIlM0ElNUMlMjI4NTc1MTElNUMlMjIlMkMlNUMlMjJmcm9tX2ZhY2Vib29rJTVDJTIyJTNBJTVDJTIyMTAwMDAwMzQ5MDgyNjAzJTVDJTIyJTdEJTIyJTdEJTdE",
          "date": 1568359375,
          "period": 86400,
          "name": null,
          "occured_count": 0,
          "created_at": "2019-09-01T17:38:56Z",
          "updated_at": "2019-09-01T17:38:56Z",
          "end_date": 1569359375,
          "active": true,
          "application_id": 76730,
          "user_id": 91141808,
          "kind": "API",
          "environment": "development",
          "tag_query": null,
          "notification_channel": {
            "name": "gcm"
          }
        }
      },
      {
        "event": {
          "id": 30528641,
          "event_type": "period_date",
          "message": "payload=eyJhcHMiOnsiYWxlcnQiOiJ7XCJhcHNcIjp7XCJzb3VuZFwiOlwiZGVmYXVsdFwiLFwiYWxlcnRcIjpcIllvdSBoYXZlIGp1c3QgcmVjZWl2ZWQgYSBuZXcgbWVzc2FnZSBmcm9tIFl1bGlhIFN5ZG9yZW5rby5cIn0sXCJ4XCI6e1wiZGF0YVwiOlwie1xcXCJ0eXBlXFxcIjpcXFwibWVzc2FnZVxcXCIsXFxcImZyb21fbmFtZVxcXCI6XFxcIll1bGlhIFN5ZG9yZW5rb1xcXCIsXFxcImZyb21faWRcXFwiOlxcXCI4NTc1MTFcXFwiLFxcXCJmcm9tX2ZhY2Vib29rXFxcIjpcXFwiMTAwMDAwMzQ5MDgyNjAzXFxcIn1cIn19Iiwic291bmQiOiJkZWZhdWx0In19",
          "date": 1568359375,
          "period": 86400,
          "name": null,
          "occured_count": 0,
          "created_at": "2019-09-01T17:47:30Z",
          "updated_at": "2019-09-01T17:47:30Z",
          "end_date": 1569359375,
          "active": true,
          "application_id": 76730,
          "user_id": 91141808,
          "kind": "API",
          "environment": "production",
          "tag_query": null,
          "notification_channel": {
            "name": "apns"
          }
        }
      },
      {
        "event": {
          "id": 30529135,
          "event_type": "one_shot",
          "message": "data.message=UHVzaCUyMG5vdGlmaWNhdGlvbiUyMGZyb20lMjBhdXRvdGVzdA==",
          "date": null,
          "period": null,
          "name": "test",
          "occured_count": 1,
          "created_at": "2019-09-01T19:52:01Z",
          "updated_at": "2019-09-01T19:52:01Z",
          "end_date": null,
          "active": false,
          "application_id": 76730,
          "user_id": 91141808,
          "kind": "API",
          "environment": "development",
          "tag_query": null,
          "notification_channel": {
            "name": "gcm"
          }
        }
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {}
  ```
</ResponseExample>
